using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.BI
{
    [Description("矿山部选矿部月份折线图")]
    public class T_BI_DEPARTMENT_MONTH_RUN : MesEntityBase
    {
        [Description("部门ID")]
        public Guid DEPARTMENT_ID { get; set; }
        [Description("部门名称")]
        public string DEPARTMENT_NAME { get; set; }
        [Description("日期")]
        public DateTime MONTH { get; set; }
        [Description("日期中文")]
        public string MONTHStr { get; set; }
        [Description("完成率")]
        public string FINISH_RATE { get; set; }
        [Description("及时完成率")]
        public string NORMAL_FINISH_RATE { get; set; }

        [Description("总任务数")]
        [DataFieldIngore]
        public int? TOTAL_QTY { get; set; }
    }
}
